///////////////////////////////////////////////////////////////////////////////
///
/// Defines for the version information in the resource file
///
/// PUBLIC DOMAIN
///
///////////////////////////////////////////////////////////////////////////////

// $Id$

#pragma once
#include "buildnumber.h"

// ---------------------------------------------------------------------------
// Several defines have to be given before including this file. These are:
// ---------------------------------------------------------------------------
#define TEXT_AUTHOR            [RBC9-X11] // author (optional value)
#define PRD_MAJVER             1 // major prodduct version
#define PRD_MINVER             0 // minor product version
#define PRD_BUILD              0 // build number for product
#define DRV_MAJVER             2 // major driver version
#define DRV_MINVER             1 // minor driver version
#define DRV_BUILD              DRIVER_VERSION_BUILD // build number for driver
#define DRV_YEAR               2006 // current year
#define TEXT_WEBSITE           http:/##/RBC9.NO-IP.COM // website
#define TEXT_PRODUCTNAME       RBC9 Space Navigator // product's name
#define TEXT_FILEDESC          what 3dconn should have done // component description
#define TEXT_COMPANY           [RBC9-X11] // company
#define TEXT_MODULE            RBC9-SpaceNav // module name
#define TEXT_COPYRIGHT         Copyright \xA9 DRV_YEAR TEXT_COMPANY // copyright information
// #define TEXT_SPECIALBUILD      // optional comment for special builds
#define TEXT_INTERNALNAME      RBC9-SpaceNav.sys // copyright information
// #define TEXT_COMMENTS          // optional comments
// ---------------------------------------------------------------------------
// ... well, that's it. Pretty self-explanatory ;)
// ---------------------------------------------------------------------------


